Bug 439435 - [XEN][5.2][REG] PV domain can not use JP keyboard.
[XEN][5.2][REG] PV domain can not use JP keyboard.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 13:53 EDT by Alan Matsuoka
Modified: 2010-10-22 19:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0305
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (2.43 MB, application/x-bzip2)
2008-03-28 13:53 EDT, Alan Matsuoka
no flags Details
pv key event patch (4.68 KB, text/x-patch)
2008-03-28 13:54 EDT, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2008-03-28 13:53:51 EDT
RHN System ID:

Customer Contact Name:
Hidetoshi Nishi

Description of Problem:
As RHEL5.2 beta version up, PV domain's console is changed from pvfb to qemu-dm.
The qemu-dm is merged with the logic of pvfb but not completely. We can not
input some key on PV domain using JP keyboard.

Version-Release number of selected component:
RHEL5.2 Beta

Drivers or hardware or architecture dependency:
None(IA64, x86_32, x86_64)

How reproducible:
Always

Step to Reproduce:
1. access Domain0 using JP keyboard.
2. specified "ja" to "--vnc" and "--keymap" parameter
   and execute virt-install.
3. input "_" or "|" with key input area of install process.

or
1.create PV domain
2.access PV domain using JP keyboard
3.input "_" or "|" code through JP keyboard.

Actual Results:
We can not input "_" or "|" on Graphical console
and can not continue install.

Expected Results:
We can input "_" or "|" and complete install using
JP keyboard.

Summary of actions taken to resolve issue:
Now we are investigating this problem.

Location of diagnostic data:
None

Hardware configuration:
None

Business Impact:
The user of JP keyboard can not use VM system.

Additional Info:


Hi Matsuya-san,

I have sent the patch to fix this problem.
This problem has be fixed on the community of Xen.
xen-unstable.hg: cs16221
pv-qemu 2/10: Add a QEMU machine type for paravirt guests
http://xenbits.xensource.com/xen-unstable.hg?rev/290b460838a8
Red Hat may intend to select the patch of cs16221.
We think the attached patch needs to fix this issue.

Thank you.                               Nishi

Event posted 03-27-2008 04:31am EDT by mmatsuya 	  

On EL5.2 Beta including xen-3.0.3-55.el5,

[root@orange ~]# virt-install --vnc --keymap=ja
Would you like a fully virtualized guest (yes or no)?  This will allow you to
run unmodified operating systems. no
What is the name of your virtual machine? test001
How much RAM should be allocated (in megabytes)? 512
What would you like to use as the disk (file path)? /dev/xenvg/it169802
libvir: error : configuration file syntax error: expecting a name
What is the install location? /media/RHEL_5.2\i386\DVD            
ERROR:  Install media location must be an NFS, HTTP or FTP network install
source, or an existing local file/device
What is the install location? ftp://localhost/pub/el5u2b

I cannot input '|' and '_'. Reproduced.

I built xen-3.0.3-59it169802.i386.rpm, xen-libs-3.0.3-59it169802.i386.rpm, and
xen-devel-3.0.3-59it169802.i386.rpm. This is xen-3.0.3-59 +
xen-pvfb-04-qemu-pv-keyevent.patch.

I tested xen-3.0.3-59it169802.i386.rpm, and confirmed that I could input '|' and
'_'.


Hello Sakai-san,

I could reproduce this problem and confirmed that your patch fixed this problem.
I will escalate to SEG with my sosreport.
Comment 1 Alan Matsuoka 2008-03-28 13:53:52 EDT
Created attachment 299506 [details]
sosreport
Comment 2 Alan Matsuoka 2008-03-28 13:54:45 EDT
Created attachment 299507 [details]
pv key event patch
Comment 6 Daniel Berrange 2008-04-01 17:06:35 EDT
Fix built into xen-3.0.3-61.el5
Comment 10 errata-xmlrpc 2008-05-21 11:22:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0305.html

Note You need to log in before you can comment on or make changes to this bug.